Package org.apache.ignite.internal.processors.query.stat

## Class StatisticsKey

- java.lang.Object
- - org.apache.ignite.internal.processors.query.stat.StatisticsKey

All Implemented Interfaces:
  `Serializable`

    public class StatisticsKey
    extends Object
    implements Serializable

Key to collect statistics by.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`StatisticsKey​(String schema, String obj)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(Object o)`
`int` `hashCode()`
`String` `obj()`
`String` `schema()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StatisticsKey

    public StatisticsKey​(String schema,
                         String obj)

Constructor.

Parameters:
  `schema` - Object schema.
  `obj` - Object name.

### Method Detail

#### schema

    public String schema()

Returns:
  Schema name.

#### obj

    public String obj()

Returns:
  Object name.

#### equals

    public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`